//js浮动数精度运算
//加法函数
function jhAdd(arg1, arg2) {
	var r1, r2, m;
	try {
		r1 = arg1.toString().split(".")[1].length;
	} catch(e) {
		r1 = 0;
	}
	try {
		r2 = arg2.toString().split(".")[1].length;
	}catch(e){
		r2 = 0;
	}
	m = Math.pow(10, Math.max(r1, r2));
	return ((arg1 * m + arg2 * m) / m).toFixed(2)-0;
} //给Number类型增加一个add方法，使用时直接用 .add 即可完成计算。  
Number.prototype.add = function(arg){     
	return jhAdd(arg, this); 
};
//减法函数
function jhSub(arg1, arg2) {
	var r1, r2, m, n;
	try {
		r1 = arg1.toString().splitf(".")[1].length;
	} catch (e) {
		r1 = 0;
	}
	try {
		r2 = arg2.toString().split(".")[1].length;
	} catch (e) {
		r2 = 0;
	}
	m = Math.pow(10, Math.max(r1, r2)); //动态控制精度长度 
	n = (r1 >= r2) ? r1 : r2;
	return parseFloat(((arg1 * m - arg2 * m) / m)).toFixed(2)-0;
}
Number.prototype.sub = function(arg) {
	return jhSub(this, arg);
};
//乘法函数
function jhMul(arg1, arg2) {
	var m=0,s1=arg1.toString(),s2=arg2.toString();
	try{m+=s1.split(".")[1].length}catch(e){} 
	try{m+=s2.split(".")[1].length}catch(e){} 
	return Number(s1.replace(".",""))*Number(s2.replace(".",""))/Math.pow(10,m).toFixed(2)-0;
}
Number.prototype.mul = function(arg) {
	return jhMul(arg, this);
};
//除法函数
function jhDiv(arg1, arg2) {
	var t1=0,t2=0,r1,r2,m,n;
	try{t1=arg1.toString().split(".")[1].length}catch(e){}  
	try{t2=arg2.toString().split(".")[1].length}catch(e){}  
	with(Math){  
		r1=Number(arg1.toString().replace(".",""))  
		r2=Number(arg2.toString().replace(".",""))
		m = ((r1/r2)*pow(10,t2-t1));
		//动态控制精度长度
		try{n=m.toString().split(".")[1].length>2?2:m.toString().split(".")[1].length}catch(e){n=0}
		return m.toFixed(2)-0;
	}
}
Number.prototype.div = function(arg) {
	return jhDiv(this, arg);
};
var JH = {
	callback:[],
	debugNum:0,debug:true,
	html: "",title:[],eff:[],
	post:false,back:false,closenum:1,
	url:window.location.href.split( "/" )[ window.location.href.split( "/" ).length-1 ],
	pageurl:[window.location.href.split( "/" )[ window.location.href.split( "/" ).length-1 ]],
	listurl:window.location.href.split( "/" )[ window.location.href.split( "/" ).length-1 ],
	showurl:[window.location.href.split( "/" )[ window.location.href.split( "/" ).length-1 ]],
	closesuc:$.noop,
	menuActive:[],
	shell_visited:[false,false,false,false],
	shell_html:[],
	reg:{
		phone: /^(11[0-9]|12[0-9]|13[0-9]|14[0-9]|15[0-9]|16[0-9]|17[0-9]|18[0-9]|19[0-9])\d{8}$/,
		telphone: /(^(\(\d{3,4}\)|\d{3,4}-)?\d{7,8}$)|(^(11[0-9]|12[0-9]|13[0-9]|14[0-9]|15[0-9]|16[0-9]|17[0-9]|18[0-9]|19[0-9])\d{8}$)/,
		user: /^[a-zA-Z0-9_]{1,16}$/,
		pass: /^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{6,16}$/,
		email: /^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/,
		number: /^\d{1,}$/,
		code: /^[a-zA-Z0-9]{4}$/,
		chinese: /^[\u4e00-\u9fa5]{1,}$/,
		price: /^[0-9]+(.[0-9]{1,2})?$/,
		float: /^[0-9]+(.[0-9]{1,10})?$/,
		identity: /^[1-9]([0-9]{16}|[0-9]{13})[xX0-9]$/
	},
	temphtml:"",
	pagepost:{},
	showpost:[],
	temppost:{},
	temppostA:{},
	temppostB:{},
	temppostC:{},
	temppostD:{},
	temppostE:{},
	temppage:{},
	pagedata:{},
	showdata:[]
};
JH.NumberFormat = {
	format:function(num,pattern){//格式化数字显示方式  JH.NumberFormat.format(12345.999,'#,##0.00')|(12345.999,'#,##0.##')|(123,'000000')
		var strarr = num?num.toString().split('.'):['0'];
		var fmtarr = pattern?pattern.split('.'):[''];
		var retstr='';	
		// 整数部分
		var str = strarr[0];
		var fmt = fmtarr[0];
		var i = str.length-1;  
		var comma = false;
		//console.log(fmt.substr(0,1));
		for(var f=fmt.length-1;f>=0;f--){
			switch(fmt.substr(f,1)){
				case '#':
					if(i>=0 ) retstr = str.substr(i--,1) + retstr;
					break;
				case '0':
					if(i>=0) retstr = str.substr(i--,1) + retstr;
					else retstr = '0' + retstr;
					break;
				case ',':
					comma = true;
					retstr=','+retstr;
					break;
			}
		}
		if(i>=0){
			if(comma){
				var l = str.length;
				for(;i>=0;i--){
					retstr = str.substr(i,1) + retstr;
					if(i>0 && ((l-i)%3)==0) retstr = ',' + retstr;
				}
			}
			else retstr = str.substr(0,i+1) + retstr;
		}	
		retstr = retstr+'.';
		//小数部分
		str=strarr.length>1?strarr[1]:'';
		fmt=fmtarr.length>1?fmtarr[1]:'';
		i=0;
		for(var f=0;f<fmt.length;f++){
			switch(fmt.substr(f,1)){
				case '#':
					if(i<str.length) retstr+=str.substr(i++,1);
					break;
				case '0':
					if(i<str.length) retstr+= str.substr(i++,1);
					else retstr+='0';
					break;
			}
		}
		return retstr.replace(/^,+/,'').replace(/\.$/,'');
	}
}
JH.NumberUtilities = {
	_aUniqueIDs:[],
	getUnique:function(){//返回当前纪元日毫秒数,产生独一无二数字
		if(this._aUniqueIDs == null) {
			this._aUniqueIDs = new Array();
		}
		var dCurrent = new Date();
		var nID = dCurrent.getTime();
		while(!this.isUnique(nID)){
			nID += this.random(dCurrent.getTime(), 2 * dCurrent.getTime());
		}	
		this._aUniqueIDs.push(nID);
		return nID;
    },
	isUnique:function(nNumber){
		for(var i = 0; i < this._aUniqueIDs.length; i++) {
			if(this._aUniqueIDs[i] == nNumber) {
				return false;
			}
		}
		return true;
	},
	random:function(nMinimum, nMaximum, nRoundToInterval) {//生成随机数
		nMaximum?nMaximum:nMaximum = 0;
		nRoundToInterval?nRoundToInterval:nRoundToInterval = 1;
		if(nMinimum > nMaximum) {
			var nTemp = nMinimum;
			nMinimum = nMaximum;
			nMaximum = nTemp;
		}
		var nDeltaRange = (nMaximum - nMinimum) + (1 * nRoundToInterval);
		var nRandomNumber = Math.random() * nDeltaRange;
		nRandomNumber += nMinimum;
		return Math.floor(nRandomNumber, nRoundToInterval);
	}
}
JH.StringUtilities = {
	isWhitespace:function( ch ) {
		return ch == '\r' || 
				ch == '\n' ||
				ch == '\f' || 
				ch == '\t' ||
				ch == ' '; 
	},
	trim:function( original ) {//剪去开始结尾处空白
		var characters = original.split( "" );
		for ( var i = 0; i < characters.length; i++ ) {
			if ( this.isWhitespace( characters[i] ) ) {
				characters.splice( i, 1 );
				i--;
			} else {
				break;
			}
		}
		for ( i = characters.length - 1; i >= 0; i-- ) {
			if ( this.isWhitespace( characters[i] ) ) {
				characters.splice( i, 1 );
			} else {
				break;
			}
		}
		return characters.join("");
	},
	limitLength:function(str,num){
		var l = 0;
		var a = str.split("");
		for (var i=0;i<num;i++) {
			if (a[i].charCodeAt(0)<299) {
				l+=1.5;
			} else {
				l++;
			}
		}
		return l;
	},
	removeExtension:function( filename ) {//移除文件扩展名
		var extensionIndex = filename.lastIndexOf( '.' );
		if ( extensionIndex == -1 ) {
			return filename;
		} else {
			return filename.substr( 0, extensionIndex );
		} 
	},
	extractExtension:function( filename ){//获取文件扩展名
		var extensionIndex = filename.lastIndexOf( '.' );
		if ( extensionIndex == -1 ) {
			return "";
		} else {
			return filename.substr( extensionIndex + 1, filename.length );
		}
	}
};
JH.jsonASC = function(property) {
	return function(a, b) {
		var value1 = a[property];
		var value2 = b[property];
		return value1-value2;
	}
}
JH.jsonDESC = function(property) {
	return function(a, b) {
		var value1 = a[property];
		var value2 = b[property];
		return value2-value1;
	}
}
JH.delEmpty = function(arr){
	var arrNew = [];
	$.each(arr,function(i,c){
		if(c){
			arrNew.push(c);
		}
	})
	return arrNew;
}
JH.ArrayUtilities = {
	randomize:function(aArray){//数组元素随机化
		var aCopy = aArray.concat();
		var aRandomized = new Array();
		var oElement;
		var nRandom;
		for(var i = 0; i < aCopy.length; i++) {
			nRandom = JH.NumberUtilities.random(0, aCopy.length - 1);
			aRandomized.push(aCopy[nRandom]);
			aCopy.splice(nRandom, 1);
			i--;
		}
		return aRandomized;
	},
	rightShift:function(arr, N, k) {
		var temp = new Array();
		temp = arr.concat();
		k %= N;
		this.reverse(temp, 0, N-k-1);
		this.reverse(temp, N-k, N-1);
		this.reverse(temp, 0, N - 1);
		return temp;
	},
	reverse:function(arr, b, e){
		var temp;
		for (b; b < e; b++, e--) {
			temp = arr[e];
			arr[e] = arr[b];
			arr[b] = temp;
		}
	},
	toString:function(oArray, nLevel) {//快速输出数组内容
		nLevel?nLevel:nLevel = 0;
		var sIndent = "";
		for(var i = 0; i < nLevel; i++) {
			sIndent += "\t";
		}
		var sOutput = "";
		for(var sItem in oArray) {
			if(typeof oArray[sItem] == "object") {
				sOutput = sIndent + "** " + sItem + " **\n" + toString(oArray[sItem], nLevel + 1) + sOutput;
			}
			else {
				sOutput += sIndent + sItem + ":" + oArray[sItem] + "\n";
			}
		}
		return sOutput;
	},
	repeat:function(arr){//去除数组中的重复元素
		for(var i=0,temp=[];i<arr.length;i++){
			if(temp.indexOf(arr[i])==-1){
				temp.push(arr[i]);
			}
		}
		return temp;
	},
	isrepeat:function(arr){
		var hash = {};
	    for (var i in arr) {
	        if (hash[arr[i]]){
	            return true; 
	        }
	        hash[arr[i]] = true;
	    }
	    return false;
	},
	findMatchIndex:function(aArray, oElement, rest) {//找出匹配元素 rest=数字 [从rest的位置开始寻找], rest=布尔值 [模糊匹配]
		var nStartingIndex = 0;
		var bPartialMatch = false;
		if(typeof arguments[2] == "number") {
			nStartingIndex = arguments[2];
		}    
		else if(typeof arguments[3] == "number") {
			nStartingIndex = arguments[3];
		}
		if(typeof arguments[2] == "boolean") {
			bPartialMatch = arguments[2];
		}
		var bMatch = false;
		for(var i = nStartingIndex; i < aArray.length; i++) {
			if(bPartialMatch) {
				bMatch = (aArray[i].indexOf(oElement) != -1);
			}
			else {
				bMatch = (aArray[i] == oElement);
			}
			if(bMatch) {
				return i;
			}
		}
		return -1;
	},
	duplicate:function(oArray, bRecursive) {//创建数组的独立副本
		bRecursive?bRecursive:bRecursive = false;
		var oDuplicate;
		if(bRecursive) {
			if(Array.isArray(oArray)) {
				oDuplicate = new Array();
				for(var i = 0; i < oArray.length; i++) {
					if(typeof oArray[i] == "object") {
						oDuplicate[i] = this.duplicate(oArray[i]);
					}
					else {
						oDuplicate[i] = oArray[i];
					}
				}
				return oDuplicate;
			}
			else {
				oDuplicate = new Object();
				for(var sItem in oArray) {
					if(typeof oArray[sItem] == "object" && !(typeof oArray[sItem] == "string") && !(typeof oArray[sItem] == "boolean") && !(typeof oArray[sItem] == "number")) {
						oDuplicate[sItem] = this.duplicate(oArray[sItem], bRecursive);
					}
					else {
						oDuplicate[sItem] = oArray[sItem];
					}
				}
				return oDuplicate;
			}
		}
		else {
			if(Array.isArray(oArray)) {
				return oArray.concat();
			}
			else {
				oDuplicate = new Object();
				for(var _sItem in oArray) {
					oDuplicate[_sItem] = oArray[_sItem];
				}
				return oDuplicate;
			}
		}
	}
}
JH.float = {
	div:function(arg1,arg2){ 
		var t1=0,t2=0,r1,r2,m,n;  
	    try{t1=arg1.toString().split(".")[1].length}catch(e){}  
	    try{t2=arg2.toString().split(".")[1].length}catch(e){}  
	    with(Math){  
	        r1=Number(arg1.toString().replace(".",""))  
	        r2=Number(arg2.toString().replace(".",""))
	        m = ((r1/r2)*pow(10,t2-t1));
	        //动态控制精度长度
	        try{n=m.toString().split(".")[1].length>2?2:m.toString().split(".")[1].length}catch(e){n=0}
			return m.toFixed(n);
	    }
	},
	mul:function(arg1,arg2){ 
		var m=0,s1=arg1.toString(),s2=arg2.toString(); 
		try{m+=s1.split(".")[1].length}catch(e){} 
		try{m+=s2.split(".")[1].length}catch(e){} 
		return Number(s1.replace(".",""))*Number(s2.replace(".",""))/Math.pow(10,m);
	},
	add:function(arg1,arg2){ 
		var r1,r2,m; 
		try{r1=arg1.toString().split(".")[1].length}catch(e){r1=0} 
		try{r2=arg2.toString().split(".")[1].length}catch(e){r2=0} 
		m=Math.pow(10,Math.max(r1,r2));
		return (arg1*m+arg2*m)/m;
	},
	minus:function(arg1,arg2){ 
		var r1,r2,m,n;
		try{r1=arg1.toString().split(".")[1].length}catch(e){r1=0}
		try{r2=arg2.toString().split(".")[1].length}catch(e){r2=0}
		m=Math.pow(10,Math.max(r1,r2));
		//动态控制精度长度
		n=(r1>=r2)?r1:r2;
		return ((arg1*m-arg2*m)/m).toFixed(n);
	}
}
JH.load = {
	page:function(url){
		if(!JH.post){
			JH.post = true;
			$.loading_page();
			let file_url = url.split('?')[0];
			let ajax_options = {
				url:file_url,
				type:"get",
				dataType:"html",
				// cache:false,
				success: function(d){
					// console.log(d);
					$.loading_page.close();
					if(!JH.back){
						$("title").text(d.match(/<title>([\s\S]*?)<\/title>/)[1]);
						JH.title.unshift($("title").text());
						JH.pageurl.unshift(url);
					}else{
						JH.title.shift();
						JH.pageurl.shift();
						$("title").text(d.match(/<title>([\s\S]*?)<\/title>/)[1]);
					}
					JH.url = url;
					JH.listurl=url;
					JH.back = false;
					JH.post = false;
					$(".page").last().off();
					$(".page").last().html(d.match(/<dfn>([\s\S]*?)<\/dfn>/)[0]);
					$(".page").last().transition({
						x:0
					},0);
				},
				error: function(XMLHttpRequest, textStatus, errorThrown) {
					// console.log(textStatus);
					$.loading_page.close();
					if(XMLHttpRequest.status==400){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>请求语法错误',1);
					}else if(XMLHttpRequest.status==404){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>你所访问的页面不存在',1);
					}else if(XMLHttpRequest.status==500){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>服务器处理出错',1);
					}else{
						$.alert('<div class="f38">'+ XMLHttpRequest.status + '</div>',1);
					}
					JH.post = false;
				}
			}
			if(window.plus) {
				ajax_options.xhr=function(){
					try {
						return new MyXmlHttpRequest();
					} catch ( e ) {}
				}
			}
			$.ajax(ajax_options);
		}
	},
	pages:function(url){
		if(!JH.post){
			JH.post = true;
			$.loading_page();
			let file_url = url.split('?')[0];
			let ajax_options = {
				type:"get",
				url: file_url,
				dataType:"html",
				success: function(d){
					$.loading_page.close();
					JH.post = false;
					$(".page").last().off();
					$(".page").last().html(d.match(/<dfn>([\s\S]*?)<\/dfn>/)[0]);
					$(".page").last().transition({
						x:0
					},0);
				},
				error: function(XMLHttpRequest, textStatus, errorThrown) {
					$.loading_page.close();
					if(XMLHttpRequest.status==400){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>请求语法错误',1);
					}else if(XMLHttpRequest.status==404){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>你所访问的页面不存在',1);
					}else if(XMLHttpRequest.status==500){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>服务器处理出错',1);
					}else{
						$.alert('<div class="f38">'+ XMLHttpRequest.status + '</div>',1);
					}
					JH.post = false;
				}
			}
			if(window.plus) {
				ajax_options.xhr=function(){
					try {
						return new MyXmlHttpRequest();
					} catch ( e ) {}
				}
			}
			$.ajax(ajax_options);
		}
	},
	pagelist:function(url,suc){
		if(!JH.post){
			JH.post = true;
			let file_url = url.split('?')[0];
			let ajax_options = {
				type:"get",
				url: file_url,
				dataType:"html",
				success: function(d){
					JH.post = false;
					if($(".page").length>1){
						// JH.showurl.unshift(url);
					}else{
						JH.listurl=url;
					}
					$(".page").last().off();
					$(".page").last().find(".pagelist").html(d.match(/<section>([\s\S]*?)<\/section>/)[0]);
					$(".page").last().transition({
						x:0
					},0);
					if(suc){
						suc();
					}
				},
				error: function(XMLHttpRequest, textStatus, errorThrown) {
					if(XMLHttpRequest.status==400){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>请求语法错误',1);
					}else if(XMLHttpRequest.status==404){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>你所访问的页面不存在',1);
					}else if(XMLHttpRequest.status==500){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>服务器处理出错',1);
					}else{
						$.alert('<div class="f38">'+ XMLHttpRequest.status + '</div>',1);
					}
					JH.post = false;
				}
			}
			if(window.plus) {
				ajax_options.xhr=function(){
					try {
						return new MyXmlHttpRequest();
					} catch ( e ) {}
				}
			}
			$.ajax(ajax_options);
		}
	},
	show:function(url,data){
		if(!JH.post){
			JH.post = true;
			JH.showAnimate = true;
			$.loading_page();
			let file_url = url.split('?')[0];
			let ajax_options = {
				type:"get",
				url: file_url,
				dataType:"html",
				success: function(d){
					$.loading_page.close();
					JH.post = false;
					JH.showurl.unshift(url);
					if(data){
						JH.showdata.unshift(data);
					}else{
						JH.showdata.unshift({});
					}
					JH.callback.unshift($.noop());
					$("body").append('<div class="page pageshow vv pa z10" style="left:0;top:0;right:0;bottom:0;"></div>');
					$(".page").last().off();
					$(".page").last().html(d.match(/<dfn>([\s\S]*?)<\/dfn>/)[0]);
					if($(".page").length == 2){
						$("#page").transition({
							x:"-33%"
						},600,function(){
							JH.showAnimate = false;
							$("#page").css("display","none");
						});
						$("#page .slider-pro").each(function(i,c){
							var slider = $( this );
							var sliderInstance = slider.data( "sliderPro" );
							sliderInstance.stopAutoplay();
						})
					}else{
						$(".page").last().prev().transition({
							x:"-33%"
						},600,function(){
							JH.showAnimate = false;
						});
					}
				},
				error: function(XMLHttpRequest, textStatus, errorThrown) {
					$.loading_page.close();
					if(XMLHttpRequest.status==400){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>请求语法错误',1);
					}else if(XMLHttpRequest.status==404){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>你所访问的页面不存在',1);
					}else if(XMLHttpRequest.status==500){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>服务器处理出错',1);
					}else{
						$.alert('<div class="f38">'+ XMLHttpRequest.status + '</div>',1);
					}
					JH.post = false;
				}
			}
			if(window.plus) {
				ajax_options.xhr=function(){
					try {
						return new MyXmlHttpRequest();
					} catch ( e ) {}
				}
			}
			$.ajax(ajax_options);
		}
	},
	dialog:function(url,multi){
		if(!JH.post){
			JH.post = true;
			let file_url = url.split('?')[0];
			let ajax_options = {
				type:"get",
				url: url,
				dataType:"html",
				success: function(d){
					JH.post = false;
					JH.dialogurl = url;
					if(!multi){
						$(".dialog-wrapper").remove();
					}
					$.dialog(d.match(/<dfn>([\s\S]*?)<\/dfn>/)[0]);
				},
				error: function(XMLHttpRequest, textStatus, errorThrown) {
					if(XMLHttpRequest.status==400){
						$.error('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>请求语法错误');
					}else if(XMLHttpRequest.status==404){
						$.error('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>你所访问的页面不存在');
					}else if(XMLHttpRequest.status==500){
						$.error('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>服务器处理出错');
					}else{
						$.error('<div class="f38">'+ XMLHttpRequest.status + '</div>');
					}
					JH.post = false;
				}
			}
			if(window.plus) {
				ajax_options.xhr=function(){
					try {
						return new MyXmlHttpRequest();
					} catch ( e ) {}
				}
			}
			$.ajax(ajax_options);
		}
	},
	showpage:function(url){
		if(!JH.post){
			JH.post = true;
			$.loading_page();
			let file_url = url.split('?')[0];
			let ajax_options = {
				type:"get",
				url: url,
				dataType:"html",
				success: function(d){
					$.loading_page.close();
					JH.post = false;
					JH.showurl.unshift(url);
					$(".page").last().off();
					$(".page").last().html(d.match(/<dfn>([\s\S]*?)<\/dfn>/)[0]);
				},
				error: function(XMLHttpRequest, textStatus, errorThrown) {
					$.loading_page.close();
					if(XMLHttpRequest.status==400){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>请求语法错误',1);
					}else if(XMLHttpRequest.status==404){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>你所访问的页面不存在',1);
					}else if(XMLHttpRequest.status==500){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>服务器处理出错',1);
					}else{
						$.alert('<div class="f38">'+ XMLHttpRequest.status + '</div>',1);
					}
					JH.post = false;
				}
			}
			if(window.plus) {
				ajax_options.xhr=function(){
					try {
						return new MyXmlHttpRequest();
					} catch ( e ) {}
				}
			}
			$.ajax(ajax_options);
		}
	},
	refresh:function(){
		JH.load.page(JH.pageurl[0]);
	},
	refreshlist:function(suc){
		if($(".page").length>1){
			if($(".pageshow").length>1){
				JH.showpost.shift();
			}
			if(suc){
				JH.load.pagelist(JH.showurl[0],suc);
			}else{
				JH.load.pagelist(JH.showurl[0]);
			}
		}else{
			if(suc){
				JH.load.pagelist(JH.listurl,suc);
			}else{
				JH.load.pagelist(JH.listurl);
			}
		}
	},
	showclose:function(d){
		if(!JH.post&&!JH.showAnimate){
			JH.post = true;
			if(d==undefined){
				d = {};
			}
			if(d.time == undefined){
				d.time = 0;
			}
			
			if($(".page").length == 2){
				// $("#page,#header").css("opacity",1);
				$("#page").css("display","block");
				$("#page").transition({
					x:0
				},350);
				$("#page .slider-pro").each(function(i,c){
					var slider = $( this );
					var sliderInstance = slider.data( "sliderPro" );
					sliderInstance.startAutoplay();
					sliderInstance.resize();
				})
			}else{
				$(".page").last().prev().transition({
					x:0
				},350);
			}
			$.doTimeout(d.time,function(){
				JH.showurl.shift();
				JH.showpost.shift();
				JH.showdata.shift();
				$(".pageshow").last().remove();
				JH.post = false;
				JH.back = false;
				if(d.suc != undefined){
					d.suc();
				}
				JH.callback.shift();
			})
		}
	},
	jsonGET:function(url,suc,data,loading){
		if(data == undefined){
			data = {};
		}
		if(loading == undefined){
			loading = true;
		}
		if(loading){
			$.loading();
		}
		var ts = new Date().getTime();
		$.ajax({
			type:"GET",
			url: url,
			data:app.md5GET(data,url.replace(app.URL,'').replace(app.URLT,''),ts),
			crossDomain:true,
			xhrFields: {
				withCredentials: false
			},
			dataType:"json",
			beforeSend: function(request) {
				if(app.getCitycode().code != undefined){
					request.setRequestHeader("x-city-code",app.getCitycode().code);
				}
				request.setRequestHeader("ts",ts);
				if(app.getState().userkey!=undefined){
					request.setRequestHeader("x-auth-key",app.getState().userkey);
				}
			},
			success: function(d){
				if(loading){
					$.loading.close(function(){
						suc(d);
					});
				}else{
					if(d.code!=0){
						$.loading.close();
					}
					suc(d);
				}
			},
			error: function(XMLHttpRequest, textStatus, errorThrown) {
				if(XMLHttpRequest.status==401){
					localStorage.clear();
					location.href = "login.html";
					return;
				}
				if(loading){
					$.loading.close(function(){
						if(XMLHttpRequest.status==400){
							localStorage.clear();
							location.href = "login.html";
							return;
						}else if(XMLHttpRequest.status==404){
							$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>你所访问的页面不存在',1);
						}else if(XMLHttpRequest.status==500){
							$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>服务器处理出错',1);
						}else if(XMLHttpRequest.status==0){
							$.alert('请求失败，请检查网络',1);
						}else{
							$.alert('<div class="f38">'+ XMLHttpRequest.status + '</div>',1);
						}
					});
				}else{
					$.loading.close();
					if(XMLHttpRequest.status==400){
						localStorage.clear();
						location.href = "login.html";
						return;
					}else if(XMLHttpRequest.status==404){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>你所访问的页面不存在',1);
					}else if(XMLHttpRequest.status==500){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>服务器处理出错',1);
					}else if(XMLHttpRequest.status==0){
						$.alert('请求失败，请检查网络',1);
					}else{
						$.alert('<div class="f38">'+ XMLHttpRequest.status + '</div>',1);
					}
				}
			}
		});
	},
	jsonPOST:function(url,suc,data,loading){
		if(data == undefined){
			data = {};
		}
		if(loading == undefined){
			loading = true;
		}
		if(loading){
			$.loading();
		}
		var ts = new Date().getTime();
		$.ajax({
			type:"POST",
			url: url+"?signature="+app.md5POST(data,url.replace(app.URL,'').replace(app.URLT,''),ts),
			data:JSON.stringify(data),
			crossDomain:true,
			xhrFields: {
				withCredentials: false
			},
			dataType:"json",
			contentType:"application/json; charset=utf-8",
			processData:false,
			beforeSend: function(request) {
				if(app.getCitycode().code != undefined){
					request.setRequestHeader("x-city-code",app.getCitycode().code);
				}
				request.setRequestHeader("ts",ts);
				if(app.getState().userkey!=undefined){
					request.setRequestHeader("x-auth-key",app.getState().userkey);
				}
	    	},
			success: function(d){
				if(loading){
					$.loading.close(function(){
						suc(d);
					});
				}else{
					if(d.code!=0){
						$.loading.close();
					}
					suc(d);
				}
			},
			error: function(XMLHttpRequest, textStatus, errorThrown) {
				if(XMLHttpRequest.http_code==401){
					localStorage.clear();
					location.href = "login.html";
					return;
				}
				if(loading){
					$.loading.close(function(){
						if(XMLHttpRequest.status==400){
							localStorage.clear();
							location.href = "login.html";
							return;
						}else if(XMLHttpRequest.status==404){
							$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>你所访问的页面不存在',1);
						}else if(XMLHttpRequest.status==500){
							$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>服务器处理出错',1);
						}else if(XMLHttpRequest.status==0){
							$.alert('请求失败，请检查网络',1);
						}else{
							$.alert('<div class="f38">'+ XMLHttpRequest.status + '</div>',1);
						}
					});
				}else{
					$.loading.close();
					if(XMLHttpRequest.status==400){
						localStorage.clear();
						location.href = "login.html";
						return;
					}else if(XMLHttpRequest.status==404){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>你所访问的页面不存在',1);
					}else if(XMLHttpRequest.status==500){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>服务器处理出错',1);
					}else if(XMLHttpRequest.status==0){
						$.alert('请求失败，请检查网络',1);
					}else{
						$.alert('<div class="f38">'+ XMLHttpRequest.status + '</div>',1);
					}
				}
			}
		});
	},
	jGET:function(url,suc,data,loading){
		if(data == undefined){
			data = {};
		}
		if(loading == undefined){
			loading = true;
		}
		if(loading){
			$.loading();
		}
		var ts = new Date().getTime();
		$.ajax({
			type:"GET",
			url: url,
			data:app.md5GET(data,url.replace(app.URL,'').replace(app.URLT,''),ts),
			crossDomain:true,
			xhrFields: {
				withCredentials: false
			},
			dataType:"json",
			beforeSend: function(request) {
				if(app.getCitycode().code != undefined){
					request.setRequestHeader("x-city-code",app.getCitycode().code);
				}
				request.setRequestHeader("ts",ts);
				if(app.getState().userkey!=undefined){
					request.setRequestHeader("x-auth-key",app.getState().userkey);
				}
			},
			success: function(d){
				if(loading){
					$.loading.close(function(){
						if(d.code==0){
							suc(d);
						}else{
							$.alert(d.msg,1);
						}
					});
				}else{
					if(d.code==0){
						suc(d);
					}else{
						$.loading.close();
						$.alert(d.msg,1);
					}
				}
			},
			error: function(XMLHttpRequest, textStatus, errorThrown) {
				if(XMLHttpRequest.status==401){
					localStorage.clear();
					location.href = "login.html";
					return;
				}
				if(loading){
					$.loading.close(function(){
						if(XMLHttpRequest.status==400){
							localStorage.clear();
							location.href = "login.html";
							return;
						}else if(XMLHttpRequest.status==404){
							$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>你所访问的页面不存在',1);
						}else if(XMLHttpRequest.status==500){
							$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>服务器处理出错',1);
						}else if(XMLHttpRequest.status==0){
							$.alert('请求失败，请检查网络',1);
						}else{
							$.alert('<div class="f38">'+ XMLHttpRequest.status + '</div>',1);
						}
					});
				}else{
					$.loading.close();
					if(XMLHttpRequest.status==400){
						localStorage.clear();
						location.href = "login.html";
						return;
					}else if(XMLHttpRequest.status==404){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>你所访问的页面不存在',1);
					}else if(XMLHttpRequest.status==500){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>服务器处理出错',1);
					}else if(XMLHttpRequest.status==0){
						$.alert('请求失败，请检查网络',1);
					}else{
						$.alert('<div class="f38">'+ XMLHttpRequest.status + '</div>',1);
					}
				}
			}
		});
	},
	jPOST:function(url,suc,data,loading){
		if(data == undefined){
			data = {};
		}
		if(loading == undefined){
			loading = true;
		}
		if(loading){
			$.loading();
		}
		var ts = new Date().getTime();
		$.ajax({
			type:"POST",
			url: url+"?signature="+app.md5POST(data,url.replace(app.URL,'').replace(app.URLT,''),ts),
			data:JSON.stringify(data),
			crossDomain:true,
			xhrFields: {
				withCredentials: false
			},
			dataType:"json",
			contentType:"application/json; charset=utf-8",
			processData:false,
			beforeSend: function(request) {
				if(app.getCitycode().code != undefined){
					request.setRequestHeader("x-city-code",app.getCitycode().code);
				}
				request.setRequestHeader("ts",ts);
				if(app.getState().userkey!=undefined){
					request.setRequestHeader("x-auth-key",app.getState().userkey);
				}
	    	},
			success: function(d){
				if(loading){
					$.loading.close(function(){
						if(d.code==0){
							suc(d);
						}else{
							$.alert(d.msg,1);
						}
					});
				}else{
					if(d.code==0){
						suc(d);
					}else{
						$.loading.close();
						$.alert(d.msg,1);
					}
				}
			},
			error: function(XMLHttpRequest, textStatus, errorThrown) {
				if(XMLHttpRequest.http_code==401){
					localStorage.clear();
					location.href = "login.html";
					return;
				}
				if(loading){
					$.loading.close(function(){
						if(XMLHttpRequest.status==400){
							localStorage.clear();
							location.href = "login.html";
							return;
						}else if(XMLHttpRequest.status==404){
							$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>你所访问的页面不存在',1);
						}else if(XMLHttpRequest.status==500){
							$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>服务器处理出错',1);
						}else if(XMLHttpRequest.status==0){
							$.alert('请求失败，请检查网络',1);
						}else{
							$.alert('<div class="f38">'+ XMLHttpRequest.status + '</div>',1);
						}
					});
				}else{
					$.loading.close();
					if(XMLHttpRequest.status==400){
						localStorage.clear();
						location.href = "login.html";
						return;
					}else if(XMLHttpRequest.status==404){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>你所访问的页面不存在',1);
					}else if(XMLHttpRequest.status==500){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>服务器处理出错',1);
					}else if(XMLHttpRequest.status==0){
						$.alert('请求失败，请检查网络',1);
					}else{
						$.alert('<div class="f38">'+ XMLHttpRequest.status + '</div>',1);
					}
				}
			}
		});
	},
	jsonp:function(url,suc,data,loading){
		$.ajax({
			type: "GET",
			url: url,
			data:data,
			dataType:"jsonp",
			jsonp: "callback",
			jsonpCallback:"suc",
			success: function(d){
				if(loading){
					$.loading.close(function(){
						suc(d);
					});
				}else{
					suc(d);
				}
			},
			error: function(XMLHttpRequest, textStatus, errorThrown) {
				if(loading){
					$.loading.close(function(){
						if(XMLHttpRequest.status==400){
							$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>请求语法错误',1);
						}else if(XMLHttpRequest.status==404){
							$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>你所访问的页面不存在',1);
						}else if(XMLHttpRequest.status==500){
							$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>服务器处理出错',1);
						}else{
							$.alert('<div class="f38">'+ XMLHttpRequest.status + '</div>',1);
						}
					});
				}else{
					if(XMLHttpRequest.status==400){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>请求语法错误',1);
					}else if(XMLHttpRequest.status==404){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>你所访问的页面不存在',1);
					}else if(XMLHttpRequest.status==500){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>服务器处理出错',1);
					}else{
						$.alert('<div class="f38">'+ XMLHttpRequest.status + '</div>',1);
					}
				}
			}
		})
	},
	ajaxGET:function(url,suc,data,loading){
		if(data == undefined){
			data = {};
		}
		if(loading == undefined){
			loading = true;
		}
		if(loading){
			$.loading();
		}
		$.ajax({
			type:"GET",
			url: url,
			data:data,
			dataType:"html",
			cache:false,
			success: function(d){
				if(loading){
					// suc(d);
					$.loading.close(function(){
						suc(d);
					});
				}else{
					suc(d);
				}
			},
			error: function(XMLHttpRequest, textStatus, errorThrown) {
				if(loading){
					$.loading.close(function(){
						if(XMLHttpRequest.status==400){
							$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>请求语法错误',1);
						}else if(XMLHttpRequest.status==404){
							$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>你所访问的页面不存在',1);
						}else if(XMLHttpRequest.status==500){
							$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>服务器处理出错',1);
						}else{
							$.alert('<div class="f38">'+ XMLHttpRequest.status + '</div>',1);
						}
					});
				}else{
					if(XMLHttpRequest.status==400){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>请求语法错误',1);
					}else if(XMLHttpRequest.status==404){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>你所访问的页面不存在',1);
					}else if(XMLHttpRequest.status==500){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>服务器处理出错',1);
					}else{
						$.alert('<div class="f38">'+ XMLHttpRequest.status + '</div>',1);
					}
				}
				
			}
		});
	},
	ajaxPOST:function(url,suc,data,loading){
		if(data == undefined){
			data = {};
		}
		if(loading == undefined){
			loading = false;
		}
		if(loading){
			$.loading();
		}
		$.ajax({
			type:"POST",
			url: url,
			data:data,
			dataType:"html",
			success: function(d){
				if(loading){
					$.loading.close(function(){
						suc(d);
					});
				}else{
					suc(d);
				}
			},
			error: function(XMLHttpRequest, textStatus, errorThrown) {
				if(loading){
					$.loading.close(function(){
						if(XMLHttpRequest.status==400){
							$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>请求语法错误',1);
						}else if(XMLHttpRequest.status==404){
							$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>你所访问的页面不存在',1);
						}else if(XMLHttpRequest.status==500){
							$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>服务器处理出错',1);
						}else{
							$.alert('<div class="f38">'+ XMLHttpRequest.status + '</div>',1);
						}
					});
				}else{
					if(XMLHttpRequest.status==400){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>请求语法错误',1);
					}else if(XMLHttpRequest.status==404){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>你所访问的页面不存在',1);
					}else if(XMLHttpRequest.status==500){
						$.alert('<div class="f38 mb10">'+ XMLHttpRequest.status + '</div>服务器处理出错',1);
					}else{
						$.alert('<div class="f38">'+ XMLHttpRequest.status + '</div>',1);
					}
				}
				
			}
		});
	}
}
JH.ASC=function(property) {
	return function(a, b) {
		var value1 = a[property];
		var value2 = b[property];
		return value1-value2;
	}
}
JH.DESC=function(property) {
	return function(a, b) {
		var value1 = a[property];
		var value2 = b[property];
		return value2-value1;
	}
}
JH.limit=function(str,num){//截取文字
	var objString = str;
	var objLength = str.length;
	if(objLength > num){
		objString = objString.substring(0,JH.StringUtilities.limitLength(objString,num))+"…";
	}
	return objString;
}
JH.formatFloat = function(f,digit){
	var m = Math.pow(10, digit);
	var num = Math.round(f * m) / m;
	return num;
}
JH.transDate = function(options){
	var date=new Date(options); 
	date.setFullYear(options.substring(0,4)); 
	date.setMonth(options.substring(5,7)-1); 
	date.setDate(options.substring(8,10)); 
	date.setHours(options.substring(11,13)); 
	date.setMinutes(options.substring(14,16)); 
	date.setSeconds(options.substring(17,19)); 
	return Date.parse(date);
}
JH.toDate = function(options,format){
	if(typeof(options) == "string"){
		var date = new Date(JH.transDate(options));
	}else{
		var date = new Date(options);
	}
	Y = date.getFullYear();
	M = (date.getMonth()+1 < 10 ? '0'+(date.getMonth()+1) : date.getMonth()+1);
	D = (date.getDate() < 10 ? '0'+(date.getDate()) : date.getDate());
	h = (date.getHours() < 10 ? '0'+(date.getHours()) : date.getHours());
	m = (date.getMinutes() < 10 ? '0'+(date.getMinutes()) : date.getMinutes());
	s = (date.getSeconds() < 10 ? '0'+(date.getSeconds()) : date.getSeconds());
	if(date.getMilliseconds() < 100 && date.getMilliseconds() >= 10){
		ms = '0'+date.getSeconds();
	}else if(date.getMilliseconds() < 10){
		ms = '00'+date.getMilliseconds();
	}else{
		ms = date.getMilliseconds();
	}
	T = "+0"+(date.getTimezoneOffset()/60).toString().slice(-1)+"00";
	if(format == 1){
		return Y+"-"+M+"-"+D+" "+h+":"+m;
	}else if(format == 2){
		return Y+"-"+M+"-"+D+"<br>"+h+":"+m+":"+s;
	}else if(format == 3){
		return Y+"-"+M+"-"+D+" "+h+":"+m+":"+s;
	}else if(format == 4){
		return Y+"-"+M+"-"+D+"T"+h+":"+m+":"+s+"."+ms+T;
	}else if(format == 5){
		return M+"-"+D;
	}else if(format == 6){
		return M+"-"+D+" "+h+"点";
	}else if(format == 7){
		return h;
	}else if(format == 8){
		return Y+"-"+M;
	}else if(format == 9){
		return Y;
	}else if(format == 10){
		return M;
	}else if(format == 11){
		return D;
	}else if(format == 12){
		return M+"月"+D+"日";
	}else if(format == 13){
		return M+"-"+D+" "+h+":"+m;
	}if(format == 14){
		return Y+"."+M+"."+D;
	}else if(format == 15){
		return h+":"+m;
	}else{
		return Y+"-"+M+"-"+D;
	}
}
JH.toWeek = function(str){
	var d = new Date(str);
	var weekday=new Array(7);
	weekday[0]="周日";
	weekday[1]="周一";
	weekday[2]="周二";
	weekday[3]="周三";
	weekday[4]="周四";
	weekday[5]="周五";
	weekday[6]="周六";
	return weekday[d.getDay()];
}
JH.leaveDate = function(options){
	var date1=new Date();//开始时间
	var date2=new Date(JH.transDate(options));    //结束时间
	var date3=date2.getTime()-date1.getTime();  //时间差的毫秒数
	//计算出相差年数
	var years=Math.floor(date3/(24*3600*1000)/365);
	//计算出相差天数
	var leave0=date3%(24*3600*1000*365);  //计算年数后剩余的天数
	var days=Math.floor(leave0/(24*3600*1000));
	//计算出小时数
	var leave1=date3%(24*3600*1000);   //计算天数后剩余的毫秒数
	var hours=Math.floor(leave1/(3600*1000));
	//计算相差分钟数
	var leave2=leave1%(3600*1000);        //计算小时数后剩余的毫秒数
	var minutes=Math.floor(leave2/(60*1000));
	//计算相差秒数
	var leave3=leave2%(60*1000);     //计算分钟数后剩余的毫秒数
	var seconds=Math.round(leave3/1000);
	if(date3<=0){
		return "已到期";
	}
	if(years==0&&days<=1){
		if(days==1){
			return days+'天'+hours+"小时"+minutes+"分";
		}else{
			if(hours==0){
				return minutes+"分";
			}else{
				return hours+"小时"+minutes+"分";
			}
		}
	}
	
	sDate1 = options;
	sDate2 = JH.toDate(JH.getDate('now'),3);
	var fixDate = function(sDate){
		var aD = sDate.split('-');
		for(var i = 0; i < aD.length; i++){
			aD[i] = fixZero(parseInt(aD[i]));
		}
		return aD.join('-');
	};
	var fixZero = function(n){
		return n < 10 ? '0'+n : n;
	};
	var fixInt = function(a){
		for(var i = 0; i < a.length; i++){
			a[i] = parseInt(a[i]);
		}
		return a;
	};
	var getMonthDays = function(y,m){
		var aMonthDays = [0,31,28,31,30,31,30,31,31,30,31,30,31];
		if((y%400 == 0) || (y%4==0 && y%100!=0)){
			aMonthDays[2] = 29;
		}
		return aMonthDays[m];
	};
	var checkDate = function(sDate){
	};
	var y = 0;
	var m = 0;
	var d = 0;
	var sTmp;
	var aTmp;
	sDate1 = fixDate(sDate1);
	sDate2 = fixDate(sDate2);
	if(sDate1 > sDate2){
		sTmp = sDate2;
		sDate2 = sDate1;
		sDate1 = sTmp;
	}
	var aDate1 = sDate1.split('-');
		aDate1 = fixInt(aDate1);
	var aDate2 = sDate2.split('-');
		aDate2 = fixInt(aDate2);
	//计算相差的年份
	/*aTmp = [aDate1[0]+1,fixZero(aDate1[1]),fixZero(aDate1[2])];
	while(aTmp.join('-') <= sDate2){
		y++;
		aTmp[0]++;
	}*/
	y = aDate2[0] - aDate1[0];
	if( sDate2.replace(aDate2[0],'') < sDate1.replace(aDate1[0],'')){
		y = y - 1;
	}
	//计算月份
	aTmp = [aDate1[0]+y,aDate1[1],fixZero(aDate1[2])];
	while(true){
		if(aTmp[1] == 12){
			aTmp[0]++;
			aTmp[1] = 1;
		}else{
			aTmp[1]++;
		}
		if(([aTmp[0],fixZero(aTmp[1]),aTmp[2]]).join('-') <= sDate2){
			m++;
		} else {
			break;
		}
	}
	//计算天数
	aTmp = [aDate1[0]+y,aDate1[1]+m,aDate1[2]];
	if(aTmp[1] > 12){
		aTmp[0]++;
		aTmp[1] -= 12;
	}
	while(true){
		if(aTmp[2] == getMonthDays(aTmp[0], aTmp[1])){
			if(aTmp[1] == 12){
				aTmp[0]++;
				aTmp[1]=1;
				aTmp[2]=1;
			}else{
				aTmp[1]++;
				aTmp[2] = 1;
			}
		}else {
			aTmp[2]++;
		}
		sTmp = ([aTmp[0],fixZero(aTmp[1]),fixZero(aTmp[2])]).join('-');
		if(sTmp <= sDate2){
			d++;
		} else {
			break;
		}
	}
	let years_str = '';
	let months_str = '';
	let days_str = '';
	if(y>0||m>0||d>0){
		if(y>0){
			years_str = y+"年";
		}
		if(m>0){
			months_str = m+"个月";
		}
		if(d>0){
			days_str = d+"天";
		}
		return "剩"+years_str+months_str+days_str;
	}else{
		return "已过期";
	}
}
JH.toUTC = function(options){
	var dateUTC = new Date(options);
	T = parseInt((dateUTC.getTimezoneOffset()/60).toString().slice(-1));
	var date = new Date(options-(T*60*60*1000));
	Y = date.getFullYear();
	M = (date.getMonth()+1 < 10 ? '0'+(date.getMonth()+1) : date.getMonth()+1);
	D = (date.getDate() < 10 ? '0'+(date.getDate()) : date.getDate());
	h = (date.getHours() < 10 ? '0'+(date.getHours()) : date.getHours());
	m = (date.getMinutes() < 10 ? '0'+(date.getMinutes()) : date.getMinutes());
	s = (date.getSeconds() < 10 ? '0'+(date.getSeconds()) : date.getSeconds());
	if(date.getMilliseconds() < 100 && date.getMilliseconds() >= 10){
		ms = '0'+date.getSeconds();
	}else if(date.getMilliseconds() < 10){
		ms = '00'+date.getMilliseconds();
	}else{
		ms = date.getMilliseconds();
	}
	return Y+"-"+M+"-"+D+"T"+h+":"+m+":"+s+"."+ms+"+0000";
}
JH.getDate = function(type){
	var now = new Date(); //当前日期
	var nowDayOfWeek = now.getDay()>0?now.getDay()-1:6; //今天本周的第几天
	var nowDay = now.getDate(); //当前日
	var nowMonth = now.getMonth(); //当前月
	var nowYear = now.getYear(); //当前年
	var nowHours = (now.getHours() < 10 ? '0'+(now.getHours()) : now.getHours());
	nowYear += (nowYear < 2000) ? 1900 : 0; //
	var lastMonthDate = new Date(); //上月日期
	lastMonthDate.setDate(1);
	lastMonthDate.setMonth(lastMonthDate.getMonth() - 1);
	var lastYear = lastMonthDate.getYear();
	var lastMonth = lastMonthDate.getMonth();
	//格式化日期：yyyy-MM-dd
	function formatDate(date) {
	
	    var myyear = date.getFullYear();
	    var mymonth = date.getMonth() + 1;
	    var myweekday = date.getDate();
	    if (mymonth < 10) {
	        mymonth = "0" + mymonth;
	    }
	    if (myweekday < 10) {
	        myweekday = "0" + myweekday;
	    }
	    final_date = myyear + "-" + mymonth + "-" + myweekday;
	    return (myyear + "-" + mymonth + "-" + myweekday);
	}
	//获得当天的小时
	function gethDaysHours() {
	    return nowHours;
	}
	//获得某月的天数
	function getMonthDays(myMonth) {
	    var monthStartDate = new Date(nowYear, myMonth, 1);
	    var monthEndDate = new Date(nowYear, myMonth + 1, 1);
	    var days = (monthEndDate - monthStartDate) / (1000 * 60 * 60 * 24);
	    return days;
	}
	//获得本季度的开始月份
	function getQuarterStartMonth() {
	    var quarterStartMonth = 0;
	    if (nowMonth < 3) {
	        quarterStartMonth = 0;
	    }
	    if (2 < nowMonth && nowMonth < 6) {
	        quarterStartMonth = 3;
	    }
	    if (5 < nowMonth && nowMonth < 9) {
	        quarterStartMonth = 6;
	    }
	    if (nowMonth > 8) {
	        quarterStartMonth = 9;
	    }
	    return quarterStartMonth;
	}
	//获得今天的日期
	function getTodayDate() {
	    return formatDate(now);
	}
	//获得昨天的日期
	function getYesterdayDate() {
	    return formatDate(new Date(now.getTime() - 24*60*60*1000));
	}
	
	//获得明天的日期
	function getTomorrowDate() {
	    return formatDate(new Date(now.getTime() + 24*60*60*1000));
	}
	//获得本周的开始日期
	function getWeekStartDate() {
	    var weekStartDate = new Date(nowYear, nowMonth, nowDay - nowDayOfWeek);
	    return formatDate(weekStartDate);
	}
	//获得上周的开始日期
	function getLastWeekStartDate() {
	    var weekStartDate = new Date(nowYear, nowMonth, nowDay - nowDayOfWeek - 7);
	    return formatDate(weekStartDate);
	}
	//获得上周的结束日期
	function getLastWeekEndDate() {
	    var weekEndDate = new Date(nowYear, nowMonth, nowDay - nowDayOfWeek - 1);
	    return formatDate(weekEndDate);
	}
	//获得本月的开始日期
	function getMonthStartDate() {
	    var monthStartDate = new Date(nowYear, nowMonth, 1);
	    return formatDate(monthStartDate);
	}
	//获得上月开始时间
	function getLastMonthStartDate() {
	    var lastMonthStartDate = new Date(nowYear, lastMonth, 1);
	    return formatDate(lastMonthStartDate);
	}
	//获得上月结束时间
	function getLastMonthEndDate() {
	    var lastMonthEndDate = new Date(nowYear, lastMonth, getMonthDays(lastMonth));
	    return formatDate(lastMonthEndDate);
	}
	if(type=="now"){
		return now.getTime();
	}
	if(type=="thishours"){
		return gethDaysHours();
	}
	if(type=="today"){
		return getTodayDate();
	}
	if(type=="yesterday"){
		return getYesterdayDate();
	}
	if(type=="tomorrow"){
		return getTomorrowDate();
	}
	if(type=="thisweek"){
		return getWeekStartDate();
	}
	if(type=="thismonth"){
		return getMonthStartDate();
	}
	if(type=="lastweek_begin"){
		return getLastWeekStartDate();
	}
	if(type=="lastweek_end"){
		return getLastWeekEndDate();
	}
	if(type=="lastmonth_begin"){
		return getLastMonthStartDate();
	}
	if(type=="lastmonth_end"){
		return getLastMonthEndDate();
	}
}
JH.browserandroid = function(){
	if(/(Android)/i.test(navigator.userAgent)){
		return true;
	}else{
		return false;
	}
}
JH.getAndroidVersion =  function(ua) {
	ua = (ua || navigator.userAgent).toLowerCase(); 
	var match = ua.match(/android\s([0-9\.]*)/);
	return match ? parseFloat(match[1]) : false;
}
JH.browserios = function(){
	if(/(iPhone|iPad|iPod|iOS)/i.test(navigator.userAgent)){
		return true;
	}else{
		return false;
	}
}
JH.browserwx = function(){
	if(/MicroMessenger/i.test(navigator.userAgent)){
		return true;
	}else{
		return false;
	}
}
JH.browserpc = function(){
	if(/(Windows Phone|iPhone|iPod|Android|Windows CE|BlackBerry|Palm|webOS|Symbian|Opera Mini|Opera Mobi|Skyfire|Maemo|IEMobile|Minimo|Fennec)/i.test(navigator.userAgent)){
		return false;
	}else{
		return true;
	}
}
JH.browserie = function(){
	if(/MSIE/i.test(navigator.userAgent)||/Edge/i.test(navigator.userAgent)){
		return true;
	}else{
		return false;
	}
}
JH.htmlEncode = function (html){
	var temp = document.createElement ("div");
	(temp.textContent != undefined ) ? (temp.textContent = html) : (temp.innerText = html);
	var output = temp.innerHTML;
	temp = null;
	return output;
 }
JH.htmlDecode = function (text){
	var temp = document.createElement("div");
	temp.innerHTML = text;
	var output = temp.innerText || temp.textContent;
	temp = null;
	return output;
}
JH.queryStringObject = function(url) {
	var obj = {};
	if(url) {
	  url = url.replace(/#[^#]*$/, "");
		var index = url.indexOf("?");
		if(index != -1) {
			var queryStr = url.substr(index + 1);
			var marchResult = null;
			var regex = /(\w+)(=([^&#]+)?)?/g;
			while((marchResult = regex.exec(queryStr)) != null) {
				if(marchResult[1] in obj) {
					var values = obj[marchResult[1]];
					if(values instanceof Array) {
						values.push(marchResult[2] ? (marchResult[3]?marchResult[3]:"") : null);
						obj.marchResult[1] = values;
					} else {
						var arr = [];
						arr.push(values);
						arr.push(marchResult[2] ? (marchResult[3]?marchResult[3]:"") : null);
						obj[marchResult[1]] = arr;
					}
				} else {
					obj[marchResult[1]] = marchResult[2] ? (marchResult[3]?marchResult[3]:"") : null;
				}
			}
		}
	}
	return obj;
}
JH.Encrypt = function(word){
	var srcs = CryptoJS.enc.Utf8.parse(word);
	
	var key = CryptoJS.enc.Utf8.parse("2012012602170205");
	var encrypted = CryptoJS.AES.encrypt(srcs, key, {mode:CryptoJS.mode.ECB,padding: CryptoJS.pad.Pkcs7});
	
	// var key = CryptoJS.enc.Latin1.parse("12345678");
	// var iv = CryptoJS.enc.Latin1.parse("12345678");
	// var encrypted = CryptoJS.DES.encrypt(srcs, key, {iv: iv, mode:CryptoJS.mode.CBC,padding: CryptoJS.pad.Pkcs7});
	
	return encrypted.toString();
}
JH.Decrypt = function(word){
	var key = CryptoJS.enc.Utf8.parse("2012012602170205");
	var decrypt = CryptoJS.AES.decrypt(word, key, {mode:CryptoJS.mode.ECB,padding: CryptoJS.pad.Pkcs7});
	
	// var key = CryptoJS.enc.Latin1.parse("12345678");
	// var iv = CryptoJS.enc.Latin1.parse("12345678");
	// var decrypt = CryptoJS.DES.decrypt(word, key, {iv: iv,mode:CryptoJS.mode.CBC,padding: CryptoJS.pad.Pkcs7});
	
	return CryptoJS.enc.Utf8.stringify(decrypt).toString();
}
JH.async = function(post,url,process,suc){
	let i=0;
	function get_async_result(async_post_result) {
		JH.load.jPOST(app.URL+url,function(u){
			if(i<post.length){
				process(i,u);
				i++;
				if(i<post.length){
					get_async_result(post[i]);
				}else{
					suc();
				}
			}
		},async_post_result,false);
	}
	get_async_result(post[i]);
}

var app = {
	app_name:'玖号店',
	// URL_IMG:'https://chains.vdwin.com/api/system/attachment/',//图片替换地址
	
	URL:'https://2021-app.vdwin.com/',
	// URL:'https://vdwin.1api.pp.ua/',
	// URL:'https://chains-app-test.vdwin.com/',
	// URL:'http://192.168.1.112:65111/',
    // URL:'http://192.168.1.170:8081/',
	// URLT:'http://192.168.1.112:65321/',
	// URLT:'https://app-debug.1api.pp.ua',
	// URL_IMG:'http://192.168.1.112:60011/',//图片替换地址
	URL_IMG_BASE:'https://2021-web.vdwin.com/',//图片替换地址
	// URL_IMG_BASE:'https://test.vdwin.com/',//图片替换地址
	
	app_key:'eda7cfab-d4b8-4bd8-bda4-93b11ec15fb6'
}

//打开新窗口
app.openVW = function(id, show, createNew) {
	if(createNew == undefined){
		createNew = true;
	}
	if(show == undefined){
		show = false;
	}
	mui.openWindow({
		id: id,
		url: id,
		styles:{
			scrollIndicator:'none',
			scalable:false,
			popGesture:'close'
		},
		show: {
			autoShow: true,
			aniShow: !show?'pop-in':'fade-in',
			duration: 300
		},
		waiting: {
			autoShow: false
		},
		createNew:createNew
	});
}
//IOS判断QQ是否已经安装
app.isQQInstalled = function() {
	var TencentOAuth = plus.ios.import("TencentOAuth");
	var isQQInstalled = TencentOAuth.iphoneQQInstalled();
	return isQQInstalled == '0' ? false : true
};
//IOS判断微信是否已经安装
app.isWXInstalled = function() {
	var Weixin = plus.ios.import("WXApi");
	var isWXInstalled = Weixin.isWXAppInstalled();
	return isWXInstalled == '0' ? false : true;
};
//分享模块
app.shareWeixin = function(_this, mask) {
	var w = plus.nativeUI.showWaiting('', {
			padlock: true
		}),
		msg = {
			extra: {
				scene: 'WXSceneSession'
			}
		};
	var shares = {};
	plus.share.getServices(function(s) {
		if(s && s.length > 0) {
			for(var i = 0; i < s.length; i++) {
				var t = s[i];
				shares[t.id] = t;
			}
			var share = shares['weixin'];
			msg.href = _this.getAttribute('data-href');
			msg.title = _this.getAttribute('data-title');
			msg.content = _this.getAttribute('data-content');
			msg.pictures = _this.getAttribute('data-img')?[_this.getAttribute('data-img')]:["static/images/logo.png"];
			msg.thumbs = _this.getAttribute('data-img')?[_this.getAttribute('data-img')]:["static/images/logo.png"];
			share.send(msg, function() {
				w.close();
				if(mask)
					mask.close();
				plus.nativeUI.toast("分享到" + share.description + "成功！ ");
			}, function(e) {
				w.close();
				plus.nativeUI.toast("分享到" + share.description + "取消");
			});
		}
	}, function() {
		w.close();
		plus.nativeUI.toast('获取分享列表失败');
	});
}

app.initShare = function() {
	var shares = {};
	plus.share.getServices(function(s) {
		if(s && s.length > 0) {
			for(var i = 0; i < s.length; i++) {
				var t = s[i];
				shares[t.id] = t;
			}
			return shares;
		}
	}, function() {
		plus.nativeUI.toast('获取分享列表失败');
	});
	return shares;
}

app.loadShare = function(params) {
	var ids = [],
		bts = [];
	if(JH.browserios()) {
		ids.push({
			id: "weixin",
			ex: "WXSceneSession"
		});
		bts.push({
			title: "发送给微信好友"
		});
	} else {
		ids.push({
			id: "weixin",
			ex: "WXSceneSession"
		});
		bts.push({
			title: "发送给微信好友"
		});
	}
	var shares = app.initShare();
	plus.nativeUI.actionSheet({
		cancel: "取消",
		buttons: bts
	}, function(e) {
		var i = e.index;
		if(i > 0) {
			var s_id = ids[i - 1].id;
			var share = shares[s_id];
			if(JH.browserios() && share.id == "weixin" && !app.isWXInstalled()) {
				plus.nativeUI.toast("检测到手机未安装微信!");
				return;
			}
			if(share.authenticated) {
				app.shareMessage(share, ids[i - 1].ex, params);
			} else {
				share.authorize(function() {
					app.shareMessage(share, ids[i - 1].ex, params);
				}, function(e) {
					plus.nativeUI.toast("认证授权失败!");
				});
			}
		}
	});
}

app.shareMessage = function(share, ex, params) {
	var msg = {
		extra: {
			scene: ex
		}
	};
	msg.href = params.href;
	msg.title = params.title;
	msg.content = params.content;
	/*if (~share.id.indexOf('weibo')>=0) {
		msg.content += '，<a href="'+ProductHref+'">Go血拼！ ></a>';
	}*/
	//msg.thumbs=productImg;
	//msg.pictures=productImg;
	msg.pictures = ["" + params.pictures + ""];
	msg.thumbs = [params.thumbs ? params.thumbs : params.pictures];
	share.send(msg, function() {
		plus.nativeUI.toast("分享到" + share.description + "成功！ ");
		if(typeof params.callBack == 'function') {
			params.callBack();
		}
	}, function(e) {
		plus.nativeUI.toast("分享到" + share.description + "取消");
	});
}

app.log = function(op_name,op_desc){
	// return;
	data = {
		op_name:op_name,
		op_desc:op_desc
	};
	url = app.URL+"api/account/addSystemLog/";
	var ts = new Date().getTime();
	$.ajax({
		type:"POST",
		url: url+"?signature="+app.md5POST(data,url.replace(app.URL,'').replace(app.URLT,''),ts),
		data:JSON.stringify(data),
		crossDomain:true,
		xhrFields: {
			withCredentials: false
		},
		dataType:"json",
		contentType:"application/json; charset=utf-8",
		processData:false,
		beforeSend: function(request) {
			if(app.getCitycode().code != undefined){
				request.setRequestHeader("x-city-code",app.getCitycode().code);
			}
			request.setRequestHeader("ts",ts);
			if(app.getState().userkey!=undefined){
				request.setRequestHeader("x-auth-key",app.getState().userkey);
			}
		},
		success: function(d){
		},
		error: function(XMLHttpRequest, textStatus, errorThrown) {
		}
	});
}
app.getNetwork = function(){
	var nt = plus.networkinfo.getCurrentType();
	if (nt == plus.networkinfo.CONNECTION_NONE) {
		plus.nativeUI.confirm("您需要打开网络，才可以使用【玖号店】。请到设置->无线局域网(或蜂窝移动网络)中开启。", function(event) {
			if(JH.browserios()){
				var thisapp = plus.ios.invoke('UIApplication', 'sharedApplication');
				var setting = plus.ios.invoke('NSURL', 'URLWithString:', 'app-settings:');
				plus.ios.invoke(thisapp, 'openURL:', setting);
				plus.ios.deleteObject(setting);
				plus.ios.deleteObject(thisapp);
			}else{
				var main = plus.android.runtimeMainActivity();
				var pkName = main.getPackageName();
				var uid = main.getApplicationInfo().plusGetAttribute("uid");
				var Intent = plus.android.importClass('android.content.Intent');
				var Build = plus.android.importClass("android.os.Build");
				//android 8.0引导  
				if (Build.VERSION.SDK_INT >= 26) {
					var intent = new Intent('android.settings.DATA_ROAMING_SETTINGS');
					intent.putExtra('android.provider.extra.APP_PACKAGE', pkName);
				} else if (Build.VERSION.SDK_INT >= 21) { //android 5.0-7.0  
					var intent = new Intent('android.settings.DATA_ROAMING_SETTINGS');
					intent.putExtra("app_package", pkName);
					intent.putExtra("app_uid", uid);
				} else { //(<21)其他--跳转到该应用管理的详情页  
					intent.setAction(Settings.ACTION_DATA_ROAMING_SETTINGS);
					var uri = Uri.fromParts("package", mainActivity.getPackageName(), null);
					intent.setData(uri);
				}
				// 跳转到该应用的系统通知设置页  
				main.startActivity(intent);
			}
		}, '', ["去设置"]);
	}
}
app.getCitycode = function() {
	var str = localStorage.getItem('$citycode') || "{}";
	return JSON.parse(str);
};

if(app.getCitycode().code){
	if(app.getCitycode().url){
		app.URL = app.getCitycode().url;
		app.URL_IMG_BASE = app.getCitycode().img_url;
	}
	app.URL_IMG = app.URL_IMG_BASE+'api/system/attachment/'+app.getCitycode().code+"/";//图片替换地址
	app.URL_IMG_OCR = app.URL+'api/purchaseimage/OcrImage/'+app.getCitycode().code+"/";//ORC图片地址
}
template.defaults.imports.imgUrl =  function () {
    return app.URL_IMG;
}
template.defaults.imports.imgUrlOCR =  function () {
    return app.URL_IMG_OCR;
}
template.defaults.imports.tempPost =  function () {
    return JH.temppost;
}
template.defaults.imports.tempPostA =  function () {
    return JH.temppostA;
}
template.defaults.imports.tempPostB =  function () {
    return JH.temppostB;
}
template.defaults.imports.tempPostC =  function () {
    return JH.temppostC;
}
template.defaults.imports.tempPostD =  function () {
    return JH.temppostD;
}
template.defaults.imports.tempPostE =  function () {
    return JH.temppostE;
}
template.defaults.imports.getDate =  function (type) {
    return JH.getDate(type);
}
template.defaults.imports.toDate =  function (d,type) {
    return JH.toDate(d,type);
}
template.defaults.imports.transDate =  function (d) {
    return JH.transDate(d);
}
template.defaults.imports.format =  function (num,pattern) {
    return JH.NumberFormat.format(num,pattern);
}
template.defaults.imports.decode =  function (data) {
    return decodeURIComponent(data);
}
template.defaults.imports.encode =  function (data) {
	return encodeURIComponent(data);
}
template.defaults.imports.JSON_S =  function (data) {
	return JSON.stringify(data);
}
template.defaults.imports.NAND =  function (numA,numB) {
	return numA&numB;
}
template.defaults.imports.keys =  function (obj) {
	return Object.keys(obj);
}
template.defaults.imports.findIn =  function (arr,str) {
	if(JH.ArrayUtilities.findMatchIndex(arr,str)!=-1){
		return true;
	}else{
		return false;
	}
}
template.defaults.imports.leaveDate =  function (str) {
	return JH.leaveDate(str);
}
app.installApk = function(url) {
	if(url.indexOf('apk')>=0){
		$.loading();
		var dtask = plus.downloader.createDownload(url, {}, function(d, status) {
			$.loading.close();
			if(status == 200) {
				plus.nativeUI.toast("正在准备环境，请稍后！");
				app.sleep(1000);
				var path = d.filename;
				console.log(d.filename);
				plus.runtime.install(path);
			} else {
				$.alert('Download failed:' + status,1);
			}
		});
		dtask.start();
	}else{
		plus.runtime.openURL(url);
	}
}

app.sleep =  function(numberMillis) {
	var now = new Date();
	var exitTime = now.getTime() + numberMillis;
	while(true) {
		now = new Date();
		if(now.getTime() > exitTime)
			return;
	}
}
app.update = function() {
	JH.load.jsonPOST(app.URL+"api/public/AutoUpdate/",function(d){
		if(d.code==0) {
			if(d.resp_value){
				$.confirm('<div class="w280"><div class="mb10 fb f16 bb pb10">发现新版本</div><div class="pt10 br5"><div class="f14 fb black-light al">更新说明</div><div class="pt10 f14 black-light-extend al">' + (d.resp_value.release_note?d.resp_value.release_note:"")+'</div></div></div>',function(){
					JH.confirm_yes = false;
					// $.debug(d.resp_value.update_url);
					if(JH.browserios()){
						plus.runtime.openURL(d.resp_value.update_url);
					}else{
						app.installApk(d.resp_value.update_url);
						// app.installApk("http://jh-admin.vdwin.com/jhd.apk?v7.1.6");
					}
					// plus.runtime.openURL("http://jh-admin.vdwin.com/jhd.apk?v7.1.6");
				},{yes:"立即更新",no:"null"});
			}
		}else{
			$.alert(d.msg);
		}
	},{
		code:app.app_name,
		version: typeof plus == "undefined"?"99.0.0":plus.runtime.version,
		// version: "0.0.0",
		os: typeof plus == "undefined"?"android":(plus.os.name == 'Android' ? "android" : "ios")
	},false);
}
app.immersed = function() {
	var immersed = plus.navigator.getStatusbarHeight()/($(window).width()/100);
	// var ms = (/Html5Plus\/.+\s\(.*(Immersed\/(\d+\.?\d*).*)\)/gi).exec(navigator.userAgent);
	// if(ms && ms.length >= 3) {
	// 	immersed = parseFloat(ms[2])/($(window).width()/100);
	// }
	// if(plus.navigator.isImmersedStatusbar()){
	// 	immersed = plus.navigator.getStatusbarHeight()/($(window).width()/100);
	// }
	return immersed;
}
//重写退出应用
app.quitApp = function() {
	var backButtonPress = 0;
	mui.back = function(event) {
		if($(".pageshow").length==0){
			backButtonPress++;
		}
		if(backButtonPress > 1) {
			plus.runtime.quit();
		} else {
			if($(".pageshow").length>0){
				if(!JH.showAnimate){
					JH.load.showclose({time:500,suc:function(){
						if(JH.callback[0]){
							JH.callback[0]();
						}
					}});
					$(".pageshow").last().find(".scroll").removeClass("slide-in-left adx6 easeOutCirc").addClass("slide-out-right adx4 easeInCirc");
				}
			}else{
				plus.nativeUI.toast('再按一次退出' + app.app_name);
			}
		}
		setTimeout(function() {
			backButtonPress = 0;
		}, 1000);
		return false;
	};
}
app.setStatusBarStyle = function(style){
	$.plusReady(function(){
		plus.navigator.setStatusBarStyle(style);
	})
}
app.getVersion = function(){
	if(typeof plus == "undefined"){
		return "0.0.0";
	}else{
		return plus.runtime.version;
	}
}
app.getConfig = function() {
	var str = localStorage.getItem('$config') || "{}";
	return JSON.parse(str);
};
app.getState = function() {
	var str = localStorage.getItem('$state') || "{}";
	return JSON.parse(str);
};
app.getUser = function() {
	var str = localStorage.getItem('$user') || "{}";
	return JSON.parse(str);
};
app.getCart = function() {
	var str = localStorage.getItem('$cart') || "[]";
	return JSON.parse(str);
};
app.getSupplyCart = function(id) {
	var str = localStorage.getItem(id) || "[]";
	return JSON.parse(str);
};
app.getTemplate = function() {
	var str = localStorage.getItem('$template') || "[]";
	return JSON.parse(str).sort(JH.DESC("number"));
};
app.md5GET = function(oldData,url,ts) {
	var data = JSON.parse(JSON.stringify(oldData || {})); //保存原始数据
	data = data || {};
	var keys = [];
	for(var k in data) {
		if(data[k] === 0 || data[k] === false || data[k]) {
			keys.push(k);
		} else {
			delete data[k];
		}
	}
	keys = keys.sort();
	var signArr = [];
	for(var i = 0; i < keys.length; i++) {
		signArr.push(data[keys[i]]);
	}
	var urlArrT = [];
	$.each(url.split("/"),function(i,c){
		urlArrT.push(encodeURIComponent(c));
	})
	url = urlArrT.join("/");
	var urlArr = ['GET',ts,'/'+url];
	var signStr = urlArr.join("_")+"_"+signArr.join("`");
	// console.log(signStr);
	// console.log($.base64.encode(signStr));
	signStr = CryptoJS.SHA1(signStr).toString(CryptoJS.enc.Hex);
	data.signature = signStr;
	return data;
}
app.md5POST = function(oldData,url,ts) {
	var data = JSON.parse(JSON.stringify(oldData || {})); //保存原始数据
	var urlArrT = [];
	$.each(url.split("/"),function(i,c){
		urlArrT.push(encodeURIComponent(c));
	})
	url = urlArrT.join("/");
	var urlArr = ['POST',ts,'/'+url];
	var signStr = urlArr.join("_")+"_"+JSON.stringify(oldData || {});
	// console.log(signStr);
	// console.log($.base64.encode(signStr));
	signStr = CryptoJS.SHA1(signStr).toString(CryptoJS.enc.Hex);
	return signStr;
}

app.isLogin = function() {
	var userState = JSON.parse(localStorage.getItem('$state') || "{}");
	if(userState.userkey && userState.userkey != '') {
		return true;
	} else {
		return false;
	}
}
app.payOrder = function(order_id,pay_method,suc){
	plus.payment.getChannels(function(channels){
		var channel; 
		$.each(channels,function(i,c){
			if(pay_method==5&&c.id=="alipay"){
				channel = c;
			}
			if(pay_method==4&&c.id=="weixin"){
				channel = c;
			}
		});
		JH.load.jsonPOST(app.URL+"api/order/PayOrder",function(d){
			if(d.code == 0){
				plus.payment.request(channel, d.resp_value.OrderInfo, function(result) {
					suc(result);
				}, function(e) {
					$(".pageshow").remove();
					JH.load.show("order.html");
					$.alert("支付失败",1);
					// $.debug(e.message);
				});
			}else{
				$.alert(d.msg);
			}
		},{
			order_id:order_id,
			pay_method:pay_method
		});
	},function(e){
		$(".pageshow").remove();
		JH.load.show("order.html");
	    $.alert("获取支付通道失败："+e.message);  
	});
}
//global
$(function(){
(function(){
	let windowHeight = $(window).height();
	$(window).resize = function(){
		let resizeHeight=$(window).height();
		if(resizeHeight < windowHeight){
		}else{
			$(window).scrollTop(0);
		}
	}
	// $("body").on('focus','input',function(){
	// 	setTimeout(() => {
			// if (/iPad|iPhone|iPod/.test(navigator.userAgent)) {
			// 	if (!/OS 11_[0-3]\D/.test(ua)) {
			// 		document.body.scrollTop = document.body.scrollHeight;
			// 	}
			// } else {
			// 	$(this).scrollIntoView(true);
			// 	$(this).scrollIntoViewIfNeeded();
			// }
	// 	}, 300);
	// });
	$("body").on("tap",".loginout",function(){
		// localStorage.removeItem("$state");
		// localStorage.removeItem("$user");
		// localStorage.removeItem("$citycode");
		localStorage.clear();
		location.href = "login.html";
	});
	$("body").on("tap",".opentel",function(){
		var arr = $(this).attr("data-tel").split(",");
		arr = JH.ArrayUtilities.randomize(arr);
		window.location.href="tel:"+arr[0];
	});
	window.onpopstate = function(event){
		if(!JH.showAnimate){
			if($(".pageshow").length>0){
				JH.load.showclose({time:500,suc:function(){
					if(JH.callback[0]){
						JH.callback[0]();
					}
				}});
				$(".pageshow").last().find(".scroll").removeClass("slide-in-left adx6 easeOutCirc").addClass("slide-out-right adx4 easeInCirc");
				var pageurl = window.location.href.split( "/" )[ window.location.href.split( "/" ).length-1 ];
				history.pushState("","",pageurl);
			}else{
				var pageurl = window.location.href.split( "/" )[ window.location.href.split( "/" ).length-1 ];
				JH.back = true;
				JH.load.page(pageurl);
			}
		}
	};
	$("body").on("tap",".openpage",function(){
		var that = $(this);
		var menu_type = that.attr("data-type");
		var menu_link = that.attr("data-link");
		if(menu_type == 1){//页面
			JH.load.show("pages.html?id="+menu_link);
		}else if(menu_type == 3){//产品
			JH.load.show("product_detail.html?id="+menu_link);
		}else if(menu_type == 5){//产品分类
			if(menu_link == 0){
				JH.load.show("search.html");
			}else{
				JH.load.show("search.html?category_id="+menu_link);
			}
		}else if(menu_type == 6){//站外链接
			if(menu_link.indexOf('http://')>=0||menu_link.indexOf('https://')>=0){
				window.open(menu_link);
			}else{
				JH.load.show(menu_link);
			}
		}
	});
	$("body").on("tap",".open",function(){
		JH.load.page($(this).attr("url"));
	});
	$("body").on("click",".openshell",function(){
		if($(this).hasClass("active")){
			JH.shell_visited[$(this).index()] = false;
		}
		JH.load.page($(this).attr("url"));
	});
	$("body").on("tap",".openshow",function(){
		JH.load.show($(this).attr("url"));
	});
	$("body").on("tap",".opendialog",function(){
		if($(this).attr("data-multi")=="true"){
			JH.load.dialog($(this).attr("url"),true);
		}else{
			JH.load.dialog($(this).attr("url"));
		}
	});
	$("body").on("tap",".openview",function(){
		if(!$(this).hasClass("active")){
			JH.load.page($(this).attr("url"));
		}
	});
	$("body").on("tap",".openwx",function(){
		wx.miniProgram.navigateTo({url:$(this).attr("url")});
	});
	$("body").on("tap",".openlink",function(){
		if($(this).attr("url") != "" && $(this).attr("url") != "#"){
			var that = $(this);
			if(that.hasClass("new")){
				window.open(that.attr("url"));
			}else{
				window.location.href=that.attr("url");
			}
		}
	});
	$("body").on("change",".select",function(){
		if($(this).val()!=""){
			$(this).addClass("active");
		}else{
			$(this).removeClass("active");
		}
	});
	$("body").on("tap",".openqq",function(){
		var arr = $(this).attr("data-qq").split(",");
		arr = JH.ArrayUtilities.randomize(arr);
		if(JH.browserwx()||JH.browserandroid()){
			window.open("http://wpa.qq.com/msgrd?v=3&uin="+arr[0]+"&site=qq&menu=yes");
		}else{
			window.open("mqqwpa://im/chat?chat_type=wpa&uin="+arr[0]+"&version=1&src_type=web&web_src=oicqzone.com");
		}
	})
	$("body").on("tap",".openshangqiao",function(){
			$("ins").click();
	})
	$("body").on("tap",".openvideo",function(){
		$(".playvideo").remove();
		$("body").append('\
			<div class="playvideo vm vc pf animated fadeIn">\
				<span class="ico ico-video-close pf z11" style="right:0px;top:10px;" id="video-close"></span>\
				<video width="100%" x-webkit-airplay="true" x5-playsinline webkit-playsinline playsinline src="'+$(this).find("video").attr("src")+'"></video>\
		</div>');
		$.loading();
		$(".playvideo").find("video").playinline(function(e){
			if(e=="playing"){
				$.loading.close();
			}
		});
		$(".playvideo").find("video").get(0).play();
		if(JH.browserios()){
			$(".playvideo").find("video").get(0).addEventListener("pause",function(){
		        $(".playvideo").remove();
		    },false);
		}else{
			$(".playvideo").addClass("pt60");
		}
	});
	$("body").on("tap",".playvideo #video-close",function(){
		$(".playvideo").find("video").get(0).pause();
		$(".playvideo").remove();
		$.loading.close();
	})
	$("body").on("tap",".openshare",function(){
		$.wxshare();
	});
	$("body").on("tap",".mask-wrap",function(){
		$(this).fadeOut();
	});
	$("body").on("tap",".mask-content",function(e){
		e.stopPropagation();
	});
	$("body").on("tap",".mask-wrap .cancel",function(){
		$(this).closest(".mask-wrap").fadeOut();
	});
	$("body").on("tap","#global_toolbar .item_online_service,.online_talk",function(){
		var that = $(this);
		var data = JSON.parse(that.attr("data"));
		$.doTimeout("doOnlineService");
		$.doTimeout("doOnlineService",200,function(){
			$.dialog(template('online_service_h5',data),function(){
				$("#global_toolbar").fadeIn();
			});
			$("#global_toolbar").fadeOut();
		});
	})
	var clipboard = new ClipboardJS('.clipboard');
	clipboard.on('success', function(e) {
		if($(e.trigger).data("text")){
			$.alert($(e.trigger).data("text"));
		}else{
			$.alert("已复制");
		}
		e.clearSelection();
	});
	var copy_taobao = new ClipboardJS('.copy_taobao')
	copy_taobao.on('success', function(e) {
		$.success("淘口令已复制，请打开「手机淘宝」");
		e.clearSelection();
	});
	$('body').on("click","*[href]",function(e){
		var that = $(this);
		var href = that.attr('href');
		if(href=='#'){
			e.preventDefault();
		}
		if(href!='#'&&that.closest(".arthtml").length==0){
			e.preventDefault();
			if(that.attr('target')!='_blank'&&that.attr('target')!='_show'){
				if(href.indexOf('search.html')>=0){
					var id=$.getquery(href).id;
					if(id){
						JH.load.show("search.html?category_id="+id);
					}else{
						JH.load.show("search.html");
					}
					return;
				}
				if(href.indexOf('product_detail.html')>=0){
					var id=$.getquery(href).id;
					if(id){
						JH.load.show("product_detail.html?id="+id);
					}
					return;
				}
				if(href.indexOf('pages.html')>=0){
					var id=$.getquery(href).id;
					if(id){
						JH.load.show("pages.html?id="+id);
					}
					return;
				}
			}
			if(that.attr('target')=='_blank'){
				window.open(href);
			}else if(that.attr('target')=='_show'){
				JH.load.show(href);
			}
		}
		
	})
	// $("body").on("tap",".loading-bg",function(){
	// 	$.loading.close();
	// })
	//查看大图
	$("body").on("tap",".viewzoom",function(){
		if($(this).attr("src")==undefined){
			var src = $(this).find("img").attr("src").split("?")[0];
		}else{
			var src = $(this).attr("src").split("?")[0];
		}
		var img = new Image();
		img.src = src;
		var wh = 'w100x ha p-c';
		if(img.complete){
			if(img.width/img.height<$(window).width()/$(window).height()){
				wh = 'h100x wa p-c';
			}
			$("body").append('<div class="dialog-wrapper animation fade-in adx6 easeOutCirc viewzoom-wrapper pinch-zoom-parent"><div class="dialog-bg"></div><div class="p-tr mr10 p60 pt0 pr0 viewzoom-close mt10 z2"><div class="safe-top"><span class="iconfont icon-close f14 white a-white"></span></div></div><div class="p-c w100x h100x bg-black btn-close"><div class="w100x h100x of ac pinch-zoom"><img src="'+src+'" class="'+wh+'"></div></div></div>');
			var el = document.querySelector('div.pinch-zoom');
			new PinchZoom.default(el, {});
		}else{
			$.loading();
		    img.onload = function(){
				$.loading.close();
				if(img.width/img.height<$(window).width()/$(window).height()){
					wh = 'h100x wa p-c';
				}
		       $("body").append('<div class="dialog-wrapper animation fade-in adx6 easeOutCirc viewzoom-wrapper pinch-zoom-parent"><div class="dialog-bg"></div><div class="p-tr mr10 p60 pt0 pr0 viewzoom-close mt10 z2"><div class="safe-top"><span class="iconfont icon-close f14 white a-white"></span></div></div><div class="p-c w100x h100x bg-black btn-close"><div class="w100x h100x of ac pinch-zoom"><img src="'+src+'" class="'+wh+'"></div></div></div>');
				var el = document.querySelector('div.pinch-zoom');
				new PinchZoom.default(el, {});
			}
		}
	})
	$("body").on("tap",".viewzoom-close",function(){
		$(".viewzoom-wrapper").remove();
	})
	//查看大图
	$("body").on("tap",".viewimg,.arthtml img",function(){
		if($(this).attr("src")==undefined){
			var src = $(this).find("img").attr("src").split("?")[0];
		}else{
			var src = $(this).attr("src").split("?")[0];
		}
		var img = new Image();
		img.src = src;
		var wh = 'w100x ha p-c';
		if(img.complete){
			if(img.width/img.height<$(window).width()/$(window).height()){
				wh = 'h100x wa p-c';
			}
			$.dialog('<div class="p-tr mr10 btn-close mt10 z2"><div class="safe-top"><span class="iconfont icon-close f14 white a-white"></span></div></div><div class="p-c w100x h100x bg-black btn-close"><div class="w100x h100x of ac"><img src="'+src+'" class="'+wh+'"></div></div>');
		}else{
			$.loading();
		    img.onload = function(){
				$.loading.close();
				if(img.width/img.height<$(window).width()/$(window).height()){
					wh = 'h100x wa p-c';
				}
		       $.dialog('<div class="p-tr mr10 btn-close mt10 z2"><div class="safe-top"><span class="iconfont icon-close f14 white a-white"></span></div></div><div class="p-c w100x h100x bg-black btn-close"><div class="w100x h100x of ac"><img src="'+src+'" class="'+wh+'"></div></div>');
		    }
		}
	})
	$("body").on("tap",".view_original",function(e){
		e.stopPropagation();
		var src = $(this).attr("data-src").split("?")[0];
		var img = new Image();
		img.src = src;
		var w = img.width;
		$(this).parent().find("img").removeClass("p-c").css({"width":w,"height":"auto"});
	})
	$("body").on("tap",".view_screen",function(e){
		e.stopPropagation();
		var src = $(this).attr("data-src").split("?")[0];
		var img = new Image();
		img.src = src;
		var wh = 'w100x ha p-c';
		$(this).parent().find("img").css({"width":"inherit","height":"auto"});
		if(img.width/img.height<$(window).width()/$(window).height()){
			wh = 'h100x wa p-c';
			$(this).parent().find("img").css({"width":"auto","height":"inherit"});
		}
		$(this).parent().find("img").removeClass().addClass(wh);
	})
	$("body").on("tap",".scrollto",function(){
		var that = $(this);
		$('.main').animate({
			scrollTop:$(".page").last().find(".model").eq( parseInt(that.attr("data-model"))-1).offset().top+$('.main').scrollTop()
		}, 500);
	});
	$("body").on("swipeRight",".showback",function(){
		if(JH.browserios()&&!JH.showAnimate){
			JH.load.showclose({time:500,suc:function(){
				if(JH.callback[0]){
					JH.callback[0]();
				}
			}});
			$(".pageshow").last().find(".scroll").removeClass("slide-in-left adx6 easeOutCirc").addClass("slide-out-right adx4 easeInCirc");
		}
	})
	//购物车按钮
	var addcart_pageX,addcart_pageY;
	$("body").on("touchstart",".add_cart",function(e){
		var touch = e.originalEvent.targetTouches[0];
		addcart_pageX = touch.pageX;
		addcart_pageY = touch.pageY - $(this).height();
	});
	$("body").on("tap",".add_cart",function(e){
		var that = $(this);
		if(that.attr("data-id")==""){
			$.alert("请选择供应商");
			return;
		}
		JH.post = true;
		JH.showAnimate = true;
		var cart = app.getCart();//读取购物车
		var cart_ids = [];
		var stock = parseInt(that.attr("data-stock"));
		var limit_amount = parseInt(that.attr("data-limit"));
		if(stock==0){
			$.alert("商品库存不足");
			JH.post = false;
			JH.showAnimate = false;
			return;
		}
		var multiply = parseInt(that.attr("data-multiply"));
		var goods = {id:that.attr("data-id"),number:(multiply>0?multiply:1),item_id:that.attr("data-item-id")};
		if(cart.length>0){
			$.each(cart,function(i,c){
				cart_ids.push(c.id);
			})
			if(JH.ArrayUtilities.findMatchIndex(cart_ids,goods.id)!=-1){
				if(cart[JH.ArrayUtilities.findMatchIndex(cart_ids,goods.id)].number+goods.number > stock){
					$.alert("商品库存不足");
					JH.post = false;
					JH.showAnimate = false;
					return;
				}else if(cart[JH.ArrayUtilities.findMatchIndex(cart_ids,goods.id)].number+goods.number>limit_amount&&limit_amount!=''&&limit_amount!=0){
					$.alert("商品限购"+limit_amount+"件");
					JH.post = false;
					JH.showAnimate = false;
					return;
				}else{
					cart[JH.ArrayUtilities.findMatchIndex(cart_ids,goods.id)].number += goods.number;
					fly();
				}
			}else{
				var is_repeat_item = false;
				$.each(cart,function(i,c){
					if(c.item_id == that.attr("data-item-id")){
						c.id = that.attr("data-id");
						c.number = goods.number;
						is_repeat_item = true;
					}
				})
				if(!is_repeat_item){
					cart.unshift(goods);
				}
				fly();
			}
		}else{
			if(goods.number>limit_amount&&limit_amount!=''&&limit_amount!=0){
				$.alert("商品限购"+limit_amount+"件");
				JH.post = false;
				JH.showAnimate = false;
				return;
			}
			cart.unshift(goods);
			fly();
		}
		localStorage.setItem("$cart",JSON.stringify(cart));
		JH.cart_count_number = 0;
		$.each(app.getCart(),function(i,c){
			JH.cart_count_number += c.number;
		})
		if(JH.cart_count_number>0){
			$(".cart_count_number").text(JH.cart_count_number).removeClass("dn");
		}else{
			$(".cart_count_number").addClass("dn");
		}
		//飞入购物车效果
		function fly(){
			var offset = $(".page").last().find(".cart_target").offset();
			var offset_width = $(".page").last().find(".cart_target").width()/2;
			var offset_height = $(".page").last().find(".cart_target").height()/2;
			var fly = $('<div class="w10 h10 brc pf z15" style="background:#ff0000;"></div>').fly({
			  start: {top: addcart_pageY, left: addcart_pageX },
			  end: {top: offset.top + offset_height, left: offset.left + offset_width, width: "5.33vw", height: "5.33vw"},
			  onEnd: function(){
				JH.post = false;
				JH.showAnimate = false;
				this.destroy();
			  }
			});
		}
	})
	$("body").on("tap",".cart_minus",function(e){
		var that = $(this);
		var cart = app.getCart();//读取购物车
		var cart_ids = [];
		var stock = parseInt(that.attr("data-stock"));
		var multiply = parseInt(that.attr("data-multiply"));
		var goods = {id:that.attr("data-id"),number:(multiply>0?multiply:1),item_id:that.attr("data-item-id")};
		$.each(cart,function(i,c){
			cart_ids.push(c.id);
		})
		if(cart[JH.ArrayUtilities.findMatchIndex(cart_ids,goods.id)].number > goods.number){
			cart[JH.ArrayUtilities.findMatchIndex(cart_ids,goods.id)].number -= goods.number;
			that.closest(".cart_number_box").find(".cart_number").text(cart[JH.ArrayUtilities.findMatchIndex(cart_ids,goods.id)].number);
			localStorage.setItem("$cart",JSON.stringify(cart));
		}else{
			if(that.closest(".cart_number_box").hasClass("out_cart")){
				var cart_new = [];
				$.each(cart,function(i,c){
					if(c.id!=that.attr("data-id")){
						cart_new.push(c);
					}
				})
				localStorage.setItem("$cart",JSON.stringify(cart_new));
				that.closest(".cart_number_box").find(".cart_minus,.cart_number").addClass("dn");
			}else{
				$.confirm('确定移出购物车？',function(){
					var cart_new = [];
					$.each(cart,function(i,c){
						if(c.id!=that.attr("data-id")){
							cart_new.push(c);
						}
					})
					localStorage.setItem("$cart",JSON.stringify(cart_new));
					//计算购物车总价和总数量
					JH.cart_count_number = 0;
					JH.cart_total_amount = that.closest(".page").find(".cart_total_amount").length>0?parseFloat(that.closest(".page").find(".cart_total_amount").text()):0;
					$.each(app.getCart(),function(i,c){
						JH.cart_count_number += c.number;
					})
					if(JH.cart_count_number>0){
						$(".cart_count_number").text(JH.cart_count_number).removeClass("dn");
						$(".cart_total_count").text(JH.cart_count_number);
						$(".cart_total_amount").text((JH.cart_total_amount-(goods.number*parseFloat(that.attr("data-price")))).toFixed(2)-0);
					}else{
						$(".cart_count_number").addClass("dn");
					}
					var cart_item = that.closest(".page");
					that.closest(".listitem").remove();
					if(cart_item.find(".listitem").length==0){
						JH.load.refreshlist();
					}
				})
				return;
			}
		}
		//计算购物车总价和总数量
		JH.cart_count_number = 0;
		JH.cart_total_amount = that.closest(".page").find(".cart_total_amount").length>0?parseFloat(that.closest(".page").find(".cart_total_amount").text()):0;
		$.each(app.getCart(),function(i,c){
			JH.cart_count_number += c.number;
		})
		if(JH.cart_count_number>0){
			$(".cart_count_number").text(JH.cart_count_number).removeClass("dn");
			$(".cart_total_count").text(JH.cart_count_number);
			$(".cart_total_amount").text((JH.cart_total_amount-(goods.number*parseFloat(that.attr("data-price")))).toFixed(2)-0);
		}else{
			$(".cart_count_number").addClass("dn");
		}
	});
	$("body").on("tap",".cart_add",function(e){
		var that = $(this);
		var cart = app.getCart();//读取购物车
		var cart_ids = [];
		var stock = parseInt(that.attr("data-stock"));
		var limit_amount = parseInt(that.attr("data-limit"));
		if(stock==0){
			$.alert("商品库存不足");
			return;
		}
		var multiply = parseInt(that.attr("data-multiply"));
		var goods = {id:that.attr("data-id"),number:(multiply>0?multiply:1),item_id:that.attr("data-item-id")};
		$.each(cart,function(i,c){
			cart_ids.push(c.id);
		})
		if(that.closest(".cart_number_box").hasClass("out_cart")){
			if(JH.ArrayUtilities.findMatchIndex(cart_ids,goods.id)!=-1){
				if(cart[JH.ArrayUtilities.findMatchIndex(cart_ids,goods.id)].number+goods.number > stock){
					$.alert("商品库存不足");
					return;
				}else if(cart[JH.ArrayUtilities.findMatchIndex(cart_ids,goods.id)].number+goods.number>limit_amount&&limit_amount!=''&&limit_amount!=0){
					$.alert("商品限购"+limit_amount+"件");
					return;
				}else{
					cart[JH.ArrayUtilities.findMatchIndex(cart_ids,goods.id)].number += goods.number;
					that.closest(".cart_number_box").find(".cart_number").text(cart[JH.ArrayUtilities.findMatchIndex(cart_ids,goods.id)].number);
				}
			}else{
				that.closest(".cart_number_box").find(".cart_number").text(goods.number);
				that.closest(".cart_number_box").find(".cart_number,.cart_minus").removeClass("dn");
				var is_repeat_item = false;
				if(that.closest(".cart_number_box").find(".cart_number").text()==goods.number){
					$.each(cart,function(i,c){
						if(c.item_id == that.attr("data-item-id")){
							c.id = that.attr("data-id");
							c.number = parseInt(that.closest(".cart_number_box").find(".cart_number").text());
							is_repeat_item = true;
						}
					})
				}
				if(!is_repeat_item){
					cart.unshift(goods);
				}
			}
		}else{
			if(cart[JH.ArrayUtilities.findMatchIndex(cart_ids,goods.id)].number+goods.number > stock){
				$.alert("商品库存不足");
				return;
			}else if(cart[JH.ArrayUtilities.findMatchIndex(cart_ids,goods.id)].number+goods.number > limit_amount&&limit_amount!=''&&limit_amount!=0){
				$.alert("商品限购"+limit_amount+"件");
				return;
			}else{
				cart[JH.ArrayUtilities.findMatchIndex(cart_ids,goods.id)].number += goods.number;
				that.closest(".cart_number_box").find(".cart_number").text(cart[JH.ArrayUtilities.findMatchIndex(cart_ids,goods.id)].number);
			}
		}
		localStorage.setItem("$cart",JSON.stringify(cart));
		//计算购物车总价和总数量
		JH.cart_count_number = 0;
		JH.cart_total_amount = that.closest(".page").find(".cart_total_amount").length>0?parseFloat(that.closest(".page").find(".cart_total_amount").text()):0;
		$.each(app.getCart(),function(i,c){
			JH.cart_count_number += c.number;
		})
		if(JH.cart_count_number>0){
			$(".cart_count_number").text(JH.cart_count_number).removeClass("dn");
			$(".cart_total_count").text(JH.cart_count_number);
			$(".cart_total_amount").text((JH.cart_total_amount+(goods.number*parseFloat(that.attr("data-price")))).toFixed(2)-0);
		}else{
			$(".cart_count_number").addClass("dn");
		}
	});
	$('body').on("click",".jh_count_minus",function(){
		let count = parseInt($(this).closest(".jh_count").find(".jh_count_text").text());
		count--;
		if(count<1){
			count = 1;
		}
		$(this).closest(".jh_count").find(".jh_count_text").text(count);
	});
	$('body').on("click",".jh_count_add",function(){
		let count = parseInt($(this).closest(".jh_count").find(".jh_count_text").text());
		count++;
		$(this).closest(".jh_count").find(".jh_count_text").text(count);
	});
	$('body').on("click","a",function(e){
		var that = $(this);
		var href = that.attr('href');
		if(href=='#'){
			e.preventDefault();
		}
	});
	$('body').on("click",".webview_back",function(e){
		back();
	});
	app.quitApp();
	$.plusReady(function(){
		$.doTimeout(3000,function(){
			if(app.getCitycode().code){
				app.update();
			}
		})
		$("body").append('<style type="text/css">#header,.header-show,.main,.common,.category .main-left,.category .main-right,.left,.right,.safe-padding{padding-top:'+app.immersed()+'vw}.safe-top{transform: translate(0,'+app.immersed()+'vw);padding-top:0 !important}.filter,.show_brand_wrap{transform: translate(0,'+app.immersed()+'vw);}</style>');
		app.setStatusBarStyle("dark");
		app.getNetwork();
	})
	if(!JH.browserios()){
		$("body").append(`
			<style type="text/css">
				.mini.btn::before,.mini.label::before{
					content: '';
					display: inline-block;
					vertical-align: middle;
					width: 0;
					height: 100%;
					margin-top:0.533333vw;
				}
				#page .category_menu .item .di::after,.show_events .category_menu .item .di::after{
					content: '';
					display: inline-block;
					vertical-align: middle;
					background:#ff0000;
					width: 0;
					height: 100%;
					margin-top:1.333333vw;
					position:static;
					bottom:0;
					transform: translateX(0);
				}
				#page .category_menu .item.active .di::after,.show_events .category_menu .item.active .di:after{
					content: '';
					display: inline-block;
					vertical-align: middle;
					width: 0;
					height: 100%;
					margin-top:0.533333vw;
					position:static;
					bottom:0;
					transform: translateX(0);
				}
				.text-03{
					padding-top:0.533333vw;
				}
				.toe{
					line-height:1.2;
				}
			</style>
		`)
	}
	if(JH.getAndroidVersion()>=6.2||JH.browserios()){
		$("body").append(`<style type="text/css">.loader span{mix-blend-mode: multiply}</style>`);
	}
	if(JH.browserpc()&&!JH.browserie()){
		$("body").append(`<style type="text/css">.loader span{mix-blend-mode: multiply}</style>`);
	}
	//监听webview传参
	//处理扫码结果
	document.addEventListener('pageBarCode',function(evt){
		JH.load.jsonGET(app.URL+"api/jiuhaoke/ProductBarCode/"+evt.detail.barcode,function(o){
			var is_local = false;
			if(o.resp_value){
				$.each(o.resp_value,function(i,d){
					if(d.source == "local"){
						is_local = true;
					}
				})
			}
			if(is_local){
				if(evt.detail.src){
					JH.load.show("barcode_product_list.html?src="+evt.detail.src,o.resp_value);
				}else{
					JH.load.show("barcode_product_list.html",o.resp_value);
				}
			}else{
				$.alert("商品库还未添加此商品<br>请联系业务员",1);
			}
		})
	});
	document.addEventListener('pageBarCodeSupplier',function(evt){
		JH.showpost[0].bar_code = evt.detail.barcode;
		$(".pageshow").last().find(".form-filter .search_input").val('');
		$(".pageshow").last().find(".form-filter").submit();
	});
	document.addEventListener('pageBarCodeHome',function(evt){
		JH.pagepost.bar_code = evt.detail.barcode;
		$("#page").find(".form-filter .search_input").val('');
		$("#page").find(".form-filter").submit();
	});
	FastClick.attach(document.body);
})();
});